tbb::flow::interface11::buffer_node< T, A >::buffer_operation Class Reference

`#include <flow_graph.h>`

Inheritance diagram for tbb::flow::interface11::buffer_node< T, A >::buffer_operation:
Collaboration diagram for tbb::flow::interface11::buffer_node< T, A >::buffer_operation:

## Public Member Functions

| buffer_operation (const T &e, op_type t)
| buffer_operation (op_type t)
Public Member Functions inherited from tbb::interface6::internal::aggregated_operation< Derived >
| aggregated_operation ()

## Public Attributes

char | type
T * | elem
task * | ltask
successor_type * | r
Public Attributes inherited from tbb::interface6::internal::aggregated_operation< Derived >
uintptr_t | status
| Zero value means "wait" status, all other values are "user" specified values and are defined into the scope of a class which uses "status". More...
Derived * | next

## Detailed Description

### template<typename T, typename A = cache_aligned_allocator<T>>
class tbb::flow::interface11::buffer_node< T, A >::buffer_operation

Definition at line 1735 of file flow_graph.h.

## Constructor & Destructor Documentation

## buffer_operation() [1/2]

template<typename T, typename A = cache_aligned_allocator<T>>

tbb::flow::interface11::buffer_node< T, A >::buffer_operation::buffer_operation | ( | const T & | e,
|  | op_type | t
| ) |  |

inline

Definition at line 1753 of file flow_graph.h.

: type(char(t))
#if TBB_DEPRECATED_FLOW_NODE_EXTRACTION
, ltask(NULL), elem(const_cast<T*>(&e))
#else
, elem(const_cast<T*>(&e)) , ltask(NULL)
#endif
{}

## buffer_operation() [2/2]

template<typename T, typename A = cache_aligned_allocator<T>>

tbb::flow::interface11::buffer_node< T, A >::buffer_operation::buffer_operation | ( | op_type | t | ) |

inline

Definition at line 1761 of file flow_graph.h.

: type(char(t)), ltask(NULL) {}

## Member Data Documentation

## elem

template<typename T, typename A = cache_aligned_allocator<T>>

T* tbb::flow::interface11::buffer_node< T, A >::buffer_operation::elem

Definition at line 1749 of file flow_graph.h.

Referenced by tbb::flow::interface11::buffer_node< T, A >::internal_pop(), tbb::flow::interface11::buffer_node< T, A >::internal_push(), tbb::flow::interface11::buffer_node< T, A >::internal_reserve(), tbb::flow::interface11::buffer_node< T, A >::try_get(), and tbb::flow::interface11::buffer_node< T, A >::try_reserve().

## ltask

template<typename T, typename A = cache_aligned_allocator<T>>

task* tbb::flow::interface11::buffer_node< T, A >::buffer_operation::ltask

Definition at line 1750 of file flow_graph.h.

Referenced by tbb::flow::interface11::buffer_node< T, A >::forward_task(), tbb::flow::interface11::buffer_node< T, A >::grab_forwarding_task(), tbb::flow::interface11::buffer_node< T, A >::handle_operations_impl(), and tbb::flow::interface11::buffer_node< T, A >::internal_forward_task_impl().

## r

template<typename T, typename A = cache_aligned_allocator<T>>

successor_type* tbb::flow::interface11::buffer_node< T, A >::buffer_operation::r

Definition at line 1751 of file flow_graph.h.

Referenced by tbb::flow::interface11::buffer_node< T, A >::internal_reg_succ(), tbb::flow::interface11::buffer_node< T, A >::internal_rem_succ(), tbb::flow::interface11::buffer_node< T, A >::register_successor(), and tbb::flow::interface11::buffer_node< T, A >::remove_successor().

## type

template<typename T, typename A = cache_aligned_allocator<T>>

char tbb::flow::interface11::buffer_node< T, A >::buffer_operation::type

Definition at line 1737 of file flow_graph.h.

Referenced by tbb::flow::interface11::buffer_node< T, A >::handle_operations_impl().

The documentation for this class was generated from the following file:

- flow_graph.h

tbb::flow::interface11::buffer_node::buffer_operation::elem
T * elem
Definition: flow_graph.h:1749
tbb::flow::interface11::buffer_node::buffer_operation::type
char type
Definition: flow_graph.h:1737
tbb::flow::interface11::buffer_node::buffer_operation::ltask
task * ltask
Definition: flow_graph.h:1750

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.